Name:           python-otcextensions
Version:        0.32.17
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        Open Telekom Cloud specific extensions for the OpenStack Client CLI and OpenStack SDK

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            http://python-otcextensions.readthedocs.io/
Source:         %{pypi_source otcextensions}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'otcextensions' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-otcextensions
Summary:        %{summary}

%description -n python3-otcextensions %_description


%prep
%autosetup -p1 -n otcextensions-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-otcextensions -f %{pyproject_files}


%changelog
%autochangelog